-- ROOM PULSING
(ID, float location)

Hotel: 0
Room: 1
Gun: 2
Healer: 4
-- Gun room shoots a gun
	pd:startList("fromOF")
		pd:addSymbol("aimShoot")
		pd:addFloat(1)
		pd:finish("fromOF")
-- Mine room shoots a mine
	pd:startList("fromOF")
		pd:addSymbol("aimMine")
		pd:addFloat(1)
		pd:finish("fromOF")

-- Destructive room explosion
		self.shootCounter = 0
		pd:startList("fromOF")
		pd:addSymbol("explosion")
		pd:addFloat(self.note)
		pd:finish("fromOF")

-- ENEMY HIT TOWER

pd:startList("fromOF")
pd:addSymbol("enemyHit")
pd:addSymbol("GullEnemy") -- enemy type
pd:finish("fromOF")

-- play state started

pd:startList("fromOF")
pd:addSymbol("levelStart")
pd:finish("fromOF")

-- enemy added 
pd:startList("fromOF")
pd:addSymbol("enemyAdded")
pd:addSymbol(e.t) -- enemy type, currently GullEnemy KidEnemy CloudEnemy GullAngryEnemy
pd:finish("fromOF")

-- healing room performs healing

pd:startList("fromOF")
pd:addSymbol("healRoom")
pd:addFloat(1.0) -- this is a placeholder value... might swap with the amount healed eventually?
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("gull_bullet_kill")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("gull_hit_building")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("mine_hit_enemy")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("mine_time_out")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("kid_hit_building")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("kid_kill")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("lightning_hit")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("lightning_shoot")
pd:finish("fromOF")

pd:startList("fromOF")
pd:addSymbol("levelWon")
pd:addFloat(1)
pd:finish("fromOF")


				pd:startList("fromOF")
				pd:addSymbol("roomAdded")
				pd:addFloat(1)
				pd:finish("fromOF")

	pd:startList("fromOF")
	pd:addSymbol("cloud_boss_kill")
	pd:addFloat(1)
	pd:finish("fromOF")

	pd:startList("fromOF")
	pd:addSymbol("cloud_boss_on")
	pd:addFloat(1)
	pd:finish("fromOF")			

	pd:startList("fromOF")
	pd:addSymbol("cloud_boss_shoot")
	pd:addFloat(1)
	pd:finish("fromOF")

				pd:startList("fromOF")
				pd:addSymbol("freezeShoot")
				pd:addFloat(1)
				pd:finish("fromOF")



	-- same for crabboss
					pd:startList("fromOF")
					pd:addSymbol("mountain_boss_run")
					pd:addFloat(1)
					pd:finish("fromOF")

	pd:startList("fromOF")
	pd:addSymbol("mountain_boss_on")
	pd:addFloat(1)
	pd:finish("fromOF")		

	pd:startList("fromOF")
	pd:addSymbol("mountain_boss_kill")
	pd:addFloat(1)
--
	pd:startList("fromOF")
	pd:addSymbol("cloud_boss_shoot")
	pd:addFloat(1)
	pd:finish("fromOF")



